跳到正文
北京时间
原文
Hugging Face:Blog·· 2025-10-23精选AI 评分62

Meta 与 Hugging Face 联合推出 OpenEnv Hub 智能体环境平台

Building the Open Agent Ecosystem Together: Introducing OpenEnv

AI 导读

Meta 与 Hugging Face 宣布合作推出 OpenEnv Hub,一个用于构建、分享和探索智能体环境的开放社区平台,环境可同时用于训练与部署。

推荐理由

原文给出环境规范、Hub 功能和 RL 训练整合路径,读者可以据此评估在训练与部署中使用共享智能体环境的可行性。

正文 · AI 翻译

借助 TRL、TorchForge 和 verl 等工具,开源社区已经展示了如何在复杂的计算基础设施上扩展 AI。但计算只是硬币的一面。另一面是开发者社区;是那些让智能体系统成为可能的人和工具。这就是为什么 Meta 和 Hugging Face 合作推出 OpenEnv Hub:一个共享且开放的智能体环境社区中心。

智能体环境定义了智能体执行任务所需的一切:工具、API、凭证、执行上下文,仅此而已。它们为智能体行为带来了清晰性、安全性和沙箱化控制。

这些环境既可用于训练,也可用于部署,是可扩展智能体开发的基础。

问题

现代 AI 智能体可以自主执行数千种任务。然而,仅靠大语言模型不足以让这些任务真正运行起来——它需要访问正确的工具。将数百万个工具直接暴露给模型是不合理的(也不安全)。相反,我们需要智能体环境:安全、语义清晰的沙箱,精确定义任务所需的内容,仅此而已。这些环境处理关键细节:

  • 关于任务所需内容的清晰语义
  • 沙箱化执行和安全保障
  • 无缝访问经过身份验证的工具和 API

解决方案

为了加速下一波智能体开发浪潮,Meta-PyTorch 和 Hugging Face 合作推出环境中心:一个共享空间,开发者可以在这里构建、分享和探索兼容 OpenEnv 的环境,用于训练和部署。下图展示了 OpenEnv 如何融入 Meta 正在开发的新训练后技术栈,与 TRL、SkyRL 和 Unsloth 等其他库的集成也在进行中:

rl_stack

从下周开始,开发者可以:

  • 访问 Hugging Face 上新的环境中心,我们将在那里提供一些初始环境
  • 作为人类智能体直接与环境交互
  • 指派模型在环境中解决任务
  • 检查环境暴露了哪些工具以及它如何定义其观察结果
  • 上传到中心的每个符合 OpenEnv 规范的环境都会自动获得这些功能——使得在运行完整 RL 训练之前快速轻松地验证和迭代。

与此同时,我们发布了 OpenEnv 0.1 规范(RFC),以收集社区反馈并帮助塑造这一标准。

RFC

在仓库的当前状态下,环境创建者可以使用 step()、reset()、close() API(属于以下 RFC 的一部分)来创建环境。关于如何创建此类环境的一些示例可以在这里看到。环境用户可以为仓库中已有的所有环境使用基于本地 Docker 的环境。以下 RFC 正在审查中:

  • RFC 001:建立 Environment、Agent、Task 等核心组件之间关系的架构
  • RFC 002:提出基本环境接口、打包、隔离以及与环境的通信。
  • RFC 003:提出通过环境抽象和隔离边界封装 MCP 工具

用例

  • RL 后训练:从各个集合中引入环境,并使用它们通过 TRL、TorchForge+Monarch、VeRL 等训练 RL 智能体。
  • 环境创建:构建一个环境并确保它能与生态系统中流行的 RL 工具互操作,与协作者共享等。
  • 复现 SOTA 方法:通过集成用于智能体编码和软件工程的环境,轻松复现诸如 FAIR 的 Code World Model 中的方法。
  • 部署:用户可以创建一个环境,在同一环境上进行训练,然后将其同样用于推理(完整流水线)

下一步

这仅仅是开始。我们正在将 OpenEnv Hub 与 Meta 的新 TorchForge RL 库集成,并与其他开源 RL 项目如 verl、TRL 和 SkyRL 合作以扩展兼容性。 请在 10 月 23 日的 PyTorch Conference 上加入我们,观看现场演示和规范讲解,并敬请关注我们即将举办的关于环境、RL 后训练和智能体开发的社区聚会。

👉 在 Hugging Face 上探索 OpenEnv Hub,开始构建将驱动下一代智能体的环境。

👉 查看 0.1 规范,该规范已在 OpenEnv 项目中实现 → 我们欢迎各种想法和贡献,让它变得更好!

👉 在 Discord 上参与,与社区讨论 RL、环境和智能体开发

👉 亲自尝试 - 我们创建了一个全面的 notebook,带你完成一个端到端的示例,当然你也可以通过 PyPI 轻松 pip 安装该包。这个 notebook 带你了解我们构建的抽象,以及如何使用现有集成和如何添加你自己的集成的示例 - 在 Google Colab 中试试吧!

👉 查看支持平台 - Unsloth、TRL、Lightning.AI

让我们一起构建开放智能体的未来,一次一个环境 🔥!

来源:Hugging Face:Blog · huggingface.co